Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-5]: src/distrib/sets pull up from trunk, approved by thorpej:



details:   https://anonhg.NetBSD.org/src/rev/1aaace2d3c13
branches:  netbsd-1-5
changeset: 489167:1aaace2d3c13
user:      mrg <mrg%NetBSD.org@localhost>
date:      Tue Aug 22 05:38:13 2000 +0000

description:
pull up from trunk, approved by thorpej:
>revision 1.22
>date: 2000/08/09 10:51:50;  author: mrg;  state: Exp;  lines: +2 -2
>sparc64 is elf, too

diffstat:

 distrib/sets/makeflist |  93 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 93 insertions(+), 0 deletions(-)

diffs (97 lines):

diff -r 5ea1627a2e1b -r 1aaace2d3c13 distrib/sets/makeflist
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/sets/makeflist    Tue Aug 22 05:38:13 2000 +0000
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# $NetBSD: makeflist,v 1.21.2.2 2000/08/22 05:38:13 mrg Exp $
+#
+# Print out the files in some or all lists.
+# Usage: makeflist [-b] [-x] [-a arch] [-m machine] [-s setsdir] [setname ...]
+#
+
+# set defaults
+: ${MAKE=make}
+machine=${MACHINE:-`printf 'xxx:\n\techo ${MACHINE}' | $MAKE -s -f-`}
+arch=${MACHINE_ARCH:-`printf 'xxx:\n\techo ${MACHINE_ARCH}' | $MAKE -s -f-`}
+setd=`pwd`
+nlists="base comp etc games man misc text"
+xlists="xbase xcomp xcontrib xfont xserver"
+lists=$nlists
+
+# handle args
+while : ; do
+       case $1 in
+       -b*)
+               lists="$xlists $nlists"
+               ;;
+       -x*)
+               lists=$xlists
+               ;;
+       -a*)
+               arch=$2; shift
+               ;;
+       -m*)
+               machine=$2; shift
+               ;;
+       -s*)
+               setd=$2; shift
+               ;;
+       -*)
+               cat 1>&2 <<USAGE
+Usage: $0 [-b] [-x] [-a arch] [-m machine] [-s setsdir] [setname ...]
+       -b              make netbsd + x11 lists
+       -x              only make x11 lists
+       -a arch         set arch (e.g, m68k, mips, powerpc)     [$arch]
+       -m machine      set machine (e.g, amiga, i386, macppc)  [$machine]
+       -s setsdir      directory to find sets  [$setd]
+       [setname ...]   sets to build   [$lists]
+USAGE
+               exit 1
+               ;;
+       *)
+               break
+               ;;
+       esac
+       shift
+done
+if [ -n "$1" ]; then
+       lists="$@"
+fi
+
+# Convert mipse[lb] to mips after processing command line arguments.
+arch=`echo $arch | sed s,^mipse.,mips,`
+
+# Compute toolchain  used on target cpu.
+if [ "$arch" = "mips" -o "$machine" = "alpha" -o "$arch" = "powerpc" -o "$arch" = "sparc" -o "$arch" = "sparc64" -o "$arch" = "i386" ]; then
+        shlib=elf
+else
+        shlib=aout
+fi
+
+for setname in $lists; do
+       awk -- '{print $1}' $setd/lists/$setname/mi
+       if [ "$machine" != "$cpu" -a -f $setd/lists/$setname/ad.${arch} ]; then
+               awk -- '{print $1}' $setd/lists/$setname/ad.${arch}
+       fi
+       if [ -f $setd/lists/$setname/md.${machine} ]; then
+               awk -- '{print $1}' $setd/lists/$setname/md.${machine}
+       fi
+       if [ "$shlib" != "" ]; then
+               if [ -f $setd/lists/$setname/shl.mi ]; then
+                       awk -- '{print $1}' $setd/lists/$setname/shl.mi
+               fi
+               if [ -f $setd/lists/$setname/shl.${shlib} ]; then
+                       awk -- '{print $1}' $setd/lists/$setname/shl.${shlib}
+               fi
+       fi
+
+       # Split man/md_share into: this machine, other machine
+       if [ $setname = man ]; then
+               grep ${machine} $setd/lists/man/md_share
+       fi
+       if [ $setname = misc ]; then
+               grep -v ${machine} $setd/lists/man/md_share
+       fi
+
+done | egrep -v '^#' | sort -u



Home | Main Index | Thread Index | Old Index